%define name	transfig
%define version	3.2.4
%define release	1mdk
%define prefix	/usr/X11R6

Summary: A utility for converting FIG files (made by xfig) to other formats.
Name: %{name}
Version: %{version}
Release: %{release}
License: MIT
Group: Graphics
BuildRequires: libjpeg-devel, libpng-devel, XFree86-devel
Source: ftp://ftp.x.org/contrib/applications/drawing_tools/transfig/%{name}.%{version}.tar.bz2
Patch1: transfig-3.2.4-lib64support.patch.bz2
Patch2: transfig.3.2.3d-includes.patch.bz2
Patch3: transfig.3.2.3d-strerror.patch.bz2
URL: http://www.xfig.org
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The transfig utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript(TM)). Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}.%{version}
%patch1 -p1 -b .lib64support
%patch2 -p1 -b .includes
%patch3 -p1 -b .strerror

%build
xmkmf
make Makefiles

%ifarch alpha
make EXTRA_DEFINES="-Dcfree=free"
%else
make CDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/fig2dev/
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/X11/xfig/bitmaps/

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man


# Dunno why these are not installed
for i in fig2ps2tex fig2ps2tex.sh pic2tpic
do
	install -c -m 755 fig2dev/$i.script $RPM_BUILD_ROOT%{prefix}/bin/$i
done

# Move fig2dev ps files to /usr/share/fig2dev
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fig2dev
mv $RPM_BUILD_ROOT%{prefix}/%{_lib}/fig2dev/*.ps $RPM_BUILD_ROOT%{_datadir}/fig2dev

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES NOTES README
%{prefix}/bin/*
%{prefix}/man/man?/*
%{prefix}/lib/X11/xfig/bitmaps
%dir %{_datadir}/fig2dev/
%{_datadir}/fig2dev/*.ps


%changelog
* Tue Jan  7 2003 Daouda LO <daouda@mandrakesoft.com> 3.2.4-1mdk
- release 3.2.4
   o See http://www.xfig.org/xfigdist/transfig.README.3.2.4

- expired patch0

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.2.3d-8mdk
- Move fig2dev ps files to %_datadir/fig2dev
- Don't redefine %%_prefix, use %%prefix for X11R6 related dirs
- Patch1: Use SystemUsrLibDir macro to make up JPEGLIBDIR. Don't
  hardcode X11R6 libdir.
- Patch2: Add missing includes.
- Patch3: We don't need strerror() implementation from package.

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 3.2.3d-7mdk
- Rebuilt for libpng3.

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-6mdk
- s/Copyright/License/
- Sanity build for 8.1.
- Fix paths for fig2dev.
- Fix the right paths for everything. Oh my gosh this is horrible, we have
  the binaries in /usr/X11R6 and the other stuff in /usr ...

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.3d-5mdk
- BuildRequires: libpng-devel
- Removed BuildRequires: zlib-devel

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2.3d-4mdk
- BuildRequires: XFree86-devel

* Mon Jun 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3d-3mdk
- Don't make it own system-standard directories (gc).

* Fri Jun 1 2001  Daouda Lo <daouda@mandrakesoft.com> 3.2.3d-2mdk
- spec cleanups (add URL
- update buildrequires

* Wed May 30 2001  <daouda@ke.mandrakesoft.com> 3.2.3d-1mdk
- release 3.2.3d
- spec cleanups

* Wed Nov 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.2.3c-3mdk
- use optflags.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.2.3c-2mdk
- automatically added BuildRequires


* Thu Jul 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.2.3c-1mdk
- BM
- new release

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.2.3b-1mdk
- new version
- bit of macroisation
- remove the strip code and bzip2 man code
- fix hte license
- remove the (obsolete?) patch

* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2.3-2mdk
- redone the previous patch which was not used anymore, because
  it was needed to build fig2dev, which is needed by xfig

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3-1mdk
- release 3.2.3 (xfig depends on transfig >= 3.2.3 ) (lebsack)

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.1a-2mdk
- fix group 

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Version 3.2.1a

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
